#ifndef _GLWIDGET_HPP_
#define _GLWIDGET_HPP_


#include <QtOpenGL/QGLWidget>
#include <QTime>
#include <navigator_tool.hpp>
#include <scene.hpp>


class glwidget : public QGLWidget
{

    Q_OBJECT

public:

    glwidget(QWidget *parent=0);
    ~glwidget();

    void set_wireframe();
    void set_filled();

protected:
  void initializeGL();
  void paintGL();
  void resizeGL(int width, int height);
  void mousePressEvent(QMouseEvent *event);
  void mouseReleaseEvent(QMouseEvent *event);
  void mouseMoveEvent(QMouseEvent *event);
  void keyPressEvent(QKeyEvent *event);
  void timerEvent(QTimerEvent *event);

private:

  cpe::navigator_tool nav;
  scene current_scene;

  void print_help_start() const;
  void draw_pointer(cpe::navigator_tool& nav) const;
  void draw_orientation(cpe::navigator_tool& nav) const;
  void draw_camera_stat();

  void draw_fps();
  void draw_decorating_info();

  QTime t_timer;

};


#endif
